/*  Copyright Stewart Smith 2014. All Rights Reserved.  */




@charset "UTF-8";




    /************/
   /*          */
  /*   Base   */
 /*          */
/************/


html, body {

	width:  100%;
	height: 100%;
}
body {

	margin:  0;
	background: #EEE;
	color: #000;
	font-family: futura-pt, Futura, "Helvetica Neue", Helvetica, Arial, sans-serif;
	font-size:   32px;
	line-height: 40px;
	/*
	-webkit-touch-callout: none;
	-webkit-user-select:   none;
	-khtml-user-select:    none;
	-moz-user-select:      none;
	-ms-user-select:       none;
	user-select:           none;*/
}




a {

	color: #E30;
	text-decoration: none;
}
a:hover {
	
	border-bottom: 1px solid #E30;
}
a.button {

	position: relative;
	display: inline-block;
	border: none;
	background-color: #E30;
	color: #FFF;
	padding: 20px 30px;
	font-size:   24px;
	line-height: 30px;
	text-transform: uppercase;
	font-weight: bold;
	overflow: hidden;
}
a.button .button-hover {

	position: absolute;
	top:  0;
	left: 0;
	width: 100%;
	height:  0;
	background-color: #000;
	-webkit-transition: height 0.1s linear 0s;
	transition: height 0.1s linear 0s;
}
a.button .button-content {

	position: relative;
	top:  0;
	left: 0;
	width:  100%;
	height: 100%;
}
a.button:hover .button-hover, a.button:active .button-hover {

	height: 100%;
	-webkit-transition: height 0.1s linear 0s;
	transition: height 0.1s linear 0s;
}




section {

	-moz-box-sizing: border-box;
	box-sizing: border-box;
	padding: 90px 0 100px 0;
}
.paged {

	margin: 0 auto;
	width: 360px;
	text-align: center;
}
.thin {

	width: 360px;
}
.wide {

	width: 480px;
}
h1 {

	margin:  0;
	padding: 0;
	font-size:   48px;
	line-height: 60px;
	text-transform: uppercase;
	letter-spacing: -1px;
}
h1 img {

	width:  360px;
	height: 140px;
}
h2 {

	margin:  0;
	padding: 0;
	font-size:   32px;
	line-height: 40px;
	text-transform: uppercase;
	letter-spacing: -1px;
}
p {

	margin:  0;
	padding: 0;
}
h2 + p {

	margin-top: 20px;	
}
code {

	font-family: "Courier New", Courier, monospace;
	font-weight: bold;
}




    /******************/
   /*                */
  /*   Sunglasses   */
 /*                */
/******************/


section.sunglasses {

	min-height: 540px;
	background-color: #EEE;
	background-image: url( ../media/nada.png );
	background-size: contain;
	background-repeat: no-repeat;
	background-position: 50% bottom;
	padding-top: 140px;
	padding-bottom: 90px;
	text-align: center;
	-webkit-animation: 
		background-slide 0.5s ease-out 1,
		background-oscillate 2s ease-out 1;
	animation:
		background-slide 0.5s ease-out 1,
		background-oscillate 2s ease-out 1;
}
@-webkit-keyframes background-oscillate {

	  0% { background-color: #000; }
	 50% { background-color: #000; }
	100% { background-color: #EEE; }
}
@keyframes background-oscillate {
	 
	  0% { background-color: #000; }
	 50% { background-color: #000; }
	100% { background-color: #EEE; }
}
@-webkit-keyframes background-slide {

	  0% { background-position: -100% bottom; }
	100% { background-position:   50% bottom; }
}
@keyframes background-slide {

	  0% { background-position: -100% bottom; }
	100% { background-position:   50% bottom; }
}
section.sunglasses .paged {

	-webkit-animation: reveal 2s ease-out 1;
	animation: reveal 2s ease-out 1;
}
@-webkit-keyframes reveal {

	  0% { opacity: 0; }
	 60% { opacity: 0; }
	100% { opacity: 1; }
}
@keyframes background-oscillate {
	 
	  0% { opacity: 0; }
	 60% { opacity: 0; }
	100% { opacity: 1; }
}
section.sunglasses table.form {

	-moz-box-sizing: border-box;
	box-sizing: border-box;
	margin: 0;
	width: 100%;
	border: 2px solid #E30;
	background-color: #FFF;
	padding: 0;
}
section.sunglasses table.form td {

	vertical-align: middle;
}
.label, #url {

	font-family: Futura, "Helvetica Neue", Helvetica, Arial, sans-serif;
	font-weight: normal;
	font-size:   32px;
	line-height: 40px;	
}
.label {

	padding-left: 20px;
}
#url {

	margin: 0;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	border: none;
	width: 100%;
	padding: 10px 10px 10px 0;
	color: #E30;
}
#url:focus {

	outline: 0;
}




    /*************/
   /*           */
  /*   Share   */
 /*           */
/*************/


section.share {

	background-color: #FFF;
}
.social {

	width: 100%;
	text-align: center;
}
.share .button, .share img {

	width:  60px;
	height: 60px;
	margin: 0 20px 0 0;
	padding: 0;
}




    /*******************/
   /*                 */
  /*   Bookmarklet   */
 /*                 */
/*******************/


section.bookmarklet {

	background-color: #FFF;
}
#bookmarklet-source {

	display: none;
}




    /*************/
   /*           */
  /*   Embed   */
 /*           */
/*************/


.embed textarea {

	-moz-box-sizing: border-box;
	box-sizing: border-box;
	margin-top: 30px;
	width: 360px;
	height: 90px;
	border: 2px solid #E30;
	background-color: #FFF;
	padding: 10px;
	color: #E30;
	font-family: "Courier New", Courier, monospace;
	font-weight: bold;
	font-size:   16px;
	line-height: 20px;
}
.embed textarea:focus {

	outline: 0;
}




    /*************/
   /*           */
  /*   About   */
 /*           */
/*************/


section.about {

	padding-bottom: 0;
}
section.about .paged {

	padding-bottom: 40px;
}
footer {

	margin: 20px auto 0 auto;
	width: 540px;
	min-height: 480px;
	background-image: url( ../media/alien.png );
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center bottom;
	text-align: center;
	font-size:   16px;
	line-height: 20px;
	color: rgba( 0, 0, 0, 0.3 );
	text-transform: uppercase;
}



